package de.intevation.gnv.math;

import org.apache.commons.math.analysis.UnivariateRealFunction;

/**
 * Models a constant function to be used in function evaluation.
 *
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public class ConstantFunction
implements   UnivariateRealFunction
{
    /**
     * The constant value.
     */
    protected double value;

    /**
     * Defaut constructor.
     */
    public ConstantFunction() {
    }

    /**
     * Constructor to create a ConstantFunction with
     * a given constant value.
     * @param value The constant value.
     */
    public ConstantFunction(double value) {
        this.value = value;
    }

    public double value(double x) {
        return value;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
